Subject: Re: Draft minutes for 14 May 2009

From: Mark Nottingham <[email-masked]>
Date: Wed, 3 Jun 2009 11:35:22 +1000

I haven't seen any corrections; if there are no objections I'll make  
these public.

Cheers,

On 26/05/2009, at 12:03 PM, Mark Nottingham wrote:

>                                   - DRAFT -
>
>                                 W3C/IETF call
>
> 14 May 2009
>
> Attendees
>
>   Present
>          TimBL, mnot, Plh, lisa, alexey, JohnK
>
>   Regrets
>          Thomas
>
>   Chair
>          mnot
>
>   Scribe
>          plh
>
> Contents
>
>     * Topics
>         1. action items
>         2. Status of TAG findings
>         3. Status of CORS
>         4. status of web sockets
>         5. Link relation registry work
>         6. RFC4329 - JavaScript Media Types
>         7. URI/IRI coordination
>         8. Web Security Workshop
>         9. Future meetings
>        10. html 5 and vcard
>     * Summary of Action Items
>     __________________________________________________________________
>
>
>
> action items
>
>   <scribe> ACTION: Lisa to review Content-Type sniffing I-D
>
>   is done
>
>   <scribe> ACTION: Meadhbh Hamrick (Infinity) to explore involving  
> NIST
>   in a security workshop
>
>   Lisa will ping her back
>
> Status of TAG findings
>
>   Mnot: someone brought a TAG finding in IETF, suggesting it was
>   authoritative. wasn't sure what the external status of those.
>   ... how should we (IETF) take them?
>
>   Tim: you should take them as same as recommendations from the IESG.
>   ... if IESG tells us something, we will pay attention. suggest same
>   thing for TAG.
>   ... the IESG has total authority, unlike the TAG, but carries a  
> lot of
>   weight.
>
>   mnot: IESG doesn't come up with very detailed technical work, unlike
>   the TAG.
>
>   Tim: TAG comes up with how specs come together, like WWW arch.  
> sort of
>   advises.
>
>   JohnK: the IAB does technical work, not sure how it compares here.
>
>   mnot: even if the IESG or IAB come up with documents, it goes  
> through a
>   process, unlike TAG findings.
>
>   Tim: correct.
>   ... TAG members solicit comments in various groups
>
>   JohnK: the IAB does quite that, soliciting comments.
>
>   mnot: the discussion was around HTML5, and I wasn't sure how to take
>   status of findings.
>
>   tim: they shouldn't be considered as Recommendations. The TAG  
> could do
>   that if it wants to.
>
> Status of CORS
>
>   <mnot> plh: originally called the access control specification
>
>   <mnot> plh: brought here because larry masinter was concerned that  
> WG
>   didn't have good representation from a HTTP perspective
>
>   <mnot> plh: saw that mnot solicited review from HTTPbis
>
>   <mnot> ACTION: mnot to review CORS
>
>   <mnot> plh: mechanism may be deployed soon
>
>   <mnot> plh: also may be used for fonts
>
> status of web sockets
>
>   <mnot> plh: don't know if it will be deployed soon
>
>   mnot: came up at last ietf conf. hypertext bidirectional. mailing  
> list
>   was created in this area, not only about web sockets.
>   ... discussion has been active there.
>   ... working on problem statement and scope.
>   ... will come up again at next ietf meeting in japan.
>
>   lisa: couple of different ideas, not sure how it will come up  
> together.
>   but excited to see the discussion.
>
> Link relation registry work
>
>   mnot: started to revive the link http header a long time ago.
>   ... reintroducing the header but only reestablishing an overall for
>   typed links for the Web.
>   ... (atom link registration, html4 relations, html5 relation  
> registry)
>   ... work is now in the end game.
>   ... would like some formal engagement with the html5 working group.
>   ... tried to address feedback from some of the html5 folks.
>   ... pinged the working group chairs a month ago.
>   ... and didn't get a response.
>
>   <scribe> ACTION: plh to follow with Sam Ruby on link relation  
> registry
>   work
>
>   mnot: not going to publish a new document soon. current document is
>   suitable for review.
>
>   https://datatracker.ietf.org/drafts/draft-nottingham-http-link-header/
>
> RFC4329 - JavaScript Media Types
>
>   mnot: HTML5 is giving counter advice; does it need an update?  
> brought
>   up by Julian Reschtke
>   ... the rfc is informational, not standard track.
>
>   <scribe> ACTION: plh to talk to Sam Ruby about RFC 4329.
>
>   mnot: directions from the html5 wg would be useful.
>
> URI/IRI coordination
>
>   John: it's been escalated to the IAB but no schedule yet. IDNA bis  
> is
>   in a state of confusion but hoping we're making progress.
>   ... one of the key questions is what kind of domain names are  
> permitted
>   in IRI and URI.
>   ... percent encoding in utf-8 in URI would be an issue for IRI as  
> well.
>   ... some coordination with html5 might be useful to be in sync.
>
>   mnot: this is a serious issue indeed and the html5 has probably
>   different ideas.
>   ... would it be useful to collect the issues somewhere?
>
>   John: yes.
>
>   mnot: if you send me what you have, I'm willing to help. will also  
> get
>   some input from Thomas as well.
>
>   <scribe> ACTION: John to send IRI issues to Mark
>
>   <scribe> ACTION: Mark to put IRI issues in wiki
>
> Web Security Workshop
>
>   mnot: some discussion during the html5 meeting in SF, whether we  
> could
>   get the right people in the room.
>   ... thomas thought it would be useful, providing we have the  
> protocol
>   and user agent people.
>   ... goal is problem statement, not to solve problems.
>   ... couldn't be a large group of people
>   ... fairly constrained set of the right people
>
>   <JcK> plh: That is really URI/IRI issues in both case -- the URIs  
> are
>   the much harder problem in some ways. In some respects, the _only_  
> IRI
>   problem is how much they can be treated as protocol elements and  
> what
>   that means
>
>   mnot: we had the action item to explore involving NIST
>   ... is it still of interest?
>
>   Alexey: we should probably talk to Tim Polk
>
>   <scribe> ACTION: Alexey to talk to Tim Polk
>
>   mnot: anyone else from W3C besides Thomas?
>
>   plh: not that I can think of at this time
>
> Future meetings
>
>   mnot: we have a call scheduled in July on the 16
>   ... that's a thursday
>   ... 2 weeks before IETF in Stockholm
>   ... volunteer to chair next meeting after that?
>
>   <scribe> ACTION: plh to plan a September call
>
>   <timbl> I will not be able to make July 16 (or any date near it)
>
>   mnot: next opportunity for w3c/ietf meeting?
>
>   plh: possibly in november during tpac 2009?
>
>   timb: Jun 30/July 2 week might work for me
>
>   mnot: june 29?
>   ... will follow on the list
>
> html 5 and vcard
>
>   mnot: some coordination?
>
>   plh: possibly, that's moving target.
>
> Summary of Action Items
>
>   [NEW] ACTION: Alexey to talk to Tim Polk [recorded in
>   http://www.w3.org/2009/05/14-ietf-minutes.html#action08]
>   [NEW] ACTION: John to send IRI issues to Mark [recorded in
>   http://www.w3.org/2009/05/14-ietf-minutes.html#action06]
>   [NEW] ACTION: Lisa to review Content-Type sniffing I-D [recorded in
>   http://www.w3.org/2009/05/14-ietf-minutes.html#action01]
>   [NEW] ACTION: Mark to put IRI issues in wiki [recorded in
>   http://www.w3.org/2009/05/14-ietf-minutes.html#action07]
>   [NEW] ACTION: Meadhbh Hamrick (Infinity) to explore involving NIST  
> in a
>   [recorded in http://www.w3.org/2009/05/14-ietf- 
> minutes.html#action02]
>   [NEW] ACTION: mnot to review CORS [recorded in
>   http://www.w3.org/2009/05/14-ietf-minutes.html#action03]
>   [NEW] ACTION: plh to follow with Sam Ruby on link relation registry
>   work [recorded in
>   http://www.w3.org/2009/05/14-ietf-minutes.html#action04]
>   [NEW] ACTION: plh to plan a September call [recorded in
>   http://www.w3.org/2009/05/14-ietf-minutes.html#action09]
>   [NEW] ACTION: plh to talk to Sam Ruby about RFC 4329. [recorded in
>   http://www.w3.org/2009/05/14-ietf-minutes.html#action05]
>
>
> --
> Mark Nottingham     http://www.mnot.net/
>

--
Mark Nottingham     http://www.mnot.net/